Set Task Assignee
curl --request POST \
--url http://api.stuut.ai/v1/tasks/{task_id}/set-assignee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignee": "<string>"
}
'import requests
url = "http://api.stuut.ai/v1/tasks/{task_id}/set-assignee"
payload = { "assignee": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assignee: '<string>'})
};
fetch('http://api.stuut.ai/v1/tasks/{task_id}/set-assignee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"label": "<string>",
"object": "<string>",
"organization_id": "<string>",
"type": "activity_summary_outreach",
"id": "<string>",
"action_taken": "complete",
"assignee": {
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender_id": "<string>",
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"profile_picture": "<string>",
"selected": true
},
"assignee_id": "<string>",
"close_reason": "<string>",
"completed_action": {},
"created_at": "2023-11-07T05:31:56Z",
"data": [
{
"object": "<string>",
"source": "email",
"task_id": "<string>",
"type": "response",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"data": "<unknown>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"description": "<string>",
"error_reason": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"status": "open",
"trigger_event": {
"name": "<string>",
"object": "<string>",
"id": "<string>",
"actor_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"data": null,
"entity": "<unknown>",
"entity_id": "<string>",
"message": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z"
},
"trigger_event_id": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Tasks
Set Task Assignee
POST
/
v1
/
tasks
/
{task_id}
/
set-assignee
Set Task Assignee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The User identifier, (e.g. usr_abc123).
Response
Successful response
The blurb or label for the task.
The ID of the organization this task belongs to.
Maximum string length:
32The type of the task.
Available options:
activity_summary_outreach, activity_summary_payments, auto_response_email, auto_response_call, call_analysis, disable_contact, recommendation_new_contact, scheduled_email_approval, scheduled_call_approval Maximum string length:
26Maximum string length:
32The action taken on the task that affected its current state.
Available options:
complete, complete_with_action, close, null Maximum string length:
20Show child attributes
Show child attributes
The ID of the user assigned to this task, if any.
Maximum string length:
32The reason for closing the task, if not completed.
- Option 1
- Option 2
Show child attributes
Show child attributes
The contextual description of the task.
The reason for task failing, if an error occurred.
The current status of the task.
Available options:
open, completed, closed, archived, failed, processing, assigned_to_agent Maximum string length:
17Show child attributes
Show child attributes
The ID of the event that triggered this task, if any.
Maximum string length:
32